
%define paname Bforartists
Name:           Bforartists
Version:        4.1.0
Release:        %mkrel 1
Summary:        Blender for artists, a fork of Blender
License:        GPL
Group:          Graphics
URL:			https://github.com/Bforartists/Bforartists/
BuildRoot:		%{_tmppath}/%{name}-root
AutoReqProv: no
Obsoletes:	bforartists < %{version}
Obsoletes:	bforartists2 < %{version}

%description
There is a new Blender version available, and so we release a new version too.
We have released a new version of Bforartists, Version 3.1.0.
Bforartists is a fork of the popluar open source 3D software Blender.
With the goal to improve the graphical UI and usability.
Bforartists 2 Version 2.9.3 comes with the changes from Blender 3.
Blender for artists is an integrated 3d suite for modelling, animation,
rendering, post-production, interactive creation and playback (games).

%prep

%build


%install
rm -rf %buildroot
mkdir -p %{buildroot}/opt
mkdir -p %buildroot/%{_iconsdir}

pushd %{_sourcedir}
wget -nc https://www.bforartists.de/data/binaries/Bforartists-%{version}-Linux.tar.xz
tar -xf Bforartists-%{version}-Linux.tar.xz -C %{buildroot}/opt
popd

mkdir -p %{buildroot}%{_desktopdir}
cat << EOF >%{buildroot}%{_desktopdir}/bforartists.desktop
[Desktop Entry]
Name=Bforartists
GenericName=3D modeler
GenericName[ar]=3D المنمذج ثلاثي الأبعاد
GenericName[ca]=Modelador 3D
GenericName[cs]=3D modelování
GenericName[da]=3D-modellering
GenericName[de]=3D-Modellierer
GenericName[el]=Μοντελοποιητής 3D
GenericName[es]=Modelador 3D
GenericName[et]=3D modelleerija
GenericName[fi]=3D-mallintaja
GenericName[fr]=Modeleur 3D
GenericName[gl]=Modelador 3D
GenericName[hu]=3D modellező
GenericName[it]=Modellatore 3D
GenericName[ja]=3D モデラー
GenericName[lt]=3D modeliavimas
GenericName[nb]=3D-modellering
GenericName[nl]=3D-modeller
GenericName[pl]=Modelowanie 3D
GenericName[pt_BR]=Modelador 3D
GenericName[ro]=Arhitect 3D
GenericName[ru]=Редактор 3D-моделей
GenericName[tr]=3D modelleyici
GenericName[uk]=Редактор 3D-моделей
GenericName[wa]=Modeleu 3D
GenericName[zh_CN]=3D 建模
GenericName[zh_TW]=3D 模型
Comment=3D modeling, animation, rendering and post-production
Comment[ar]=3D النمذجة، الرسوم المتحركة، والتجسيد، وما بعد الإنتاج
Comment[ast]=Modeláu 3D, animación, renderizáu y postproducción
Comment[eu]=3D modelatzea, animazioa, errendatzea eta post-produkzioa
Comment[be]=Праграма прасторавага мадэлявання, анімацыі, апрацоўкі відэа і давядзення відэапрадукцыі
Comment[bn]=ত্রিমাত্রিক মডেল, অ্যানিমেশন, রেন্ডারিং এবং পোস্ট-উৎপাদন
Comment[bs]=3D modeliranje, animacija, obrada i postprodukcija
Comment[bg]=3D моделиране, анимиране, рендиране и пост-продукция
Comment[ca]=Modelat 3D, animació, renderització i post-producció
Comment[ca@valencia]=Modelat 3D, animació, renderització i post-producció
Comment[crh]=3B modelleme, animasyon, işleme ve son üretim
Comment[cs]=3D modelování, animace, rederování a postprodukce
Comment[da]=3D-modellering, animation, rendering og efterbehandling
Comment[de]=3D-Modellierung, Animation, Rendering und Nachbearbeitung
Comment[nl]=3d-modelleren, animeren, renderen en post-productie
Comment[el]=Μοντελοποίηση 3D, κινούμενα σχέδια, αποτύπωση και οργάνωση διαδικασίας μετά-την-παραγωγή
Comment[eo]=3D-modelado, animacio, renderado kaj postproduktado
Comment[es]=Modelado 3D, animación, renderizado y post-producción
Comment[et]=Kolmemõõtmeline modelleerimine, animeerimine, esitlemine ja järeltöötlemine
Comment[fi]=3D-mallinnus, -animaatiot, -renderöinti ja -tuotanto
Comment[fr]=Modélisation 3D, animation, rendu et post-production
Comment[fr_CA]=Modélisation 3D, animation, rendu et post-production
Comment[gl]=Modelado 3D, animación, renderizado e postprodución
Comment[hu]=3D modellek és animációk létrehozása és szerkesztése
Comment[is]=Þrívíddarmódel, hreyfimyndir, myndgerð og frágangur myndskeiða
Comment[it]=Modellazione 3D, animazione, rendering e post-produzione
Comment[ja]=3Dモデリング、アニメーション、レンダリング、ポストプロダクションのツール
Comment[ko]=3D 모델링, 애니메이션, 렌더링과 포스트 프로덕션
Comment[lt]=3D modeliavimas, animacijų kūrimas, atvaizdavimas ir tobulinimas
Comment[lv]=3D modelēšana, animācija, renderēšana un pēcapstrāde
Comment[ms]=Pemodelan, animasi, penerapan dan post-produksi 3D
Comment[nb]=3D-modellering, animasjon, rendering og postproduksjon
Comment[oc]=Modelizacion 3D, animacion, rendut e post-produccion
Comment[pl]=Modelowanie 3D, animacja, renderowanie i postprodukcja
Comment[pt]=Modelação 3D, animação, renderização e pós-produção
Comment[pt_BR]=Modelagem 3D, animação, renderização e pós-produção
Comment[ro]=Modelare, animare, afișare și post-producție 3D
Comment[ru]=3D-моделирование, анимация, рендеринг и компоновка
Comment[sl]=3D modeliranje, animacija, izrisovanje in nadaljnje obdelovanje
Comment[sq]=Animacion i modeleve 3D, rregullim dhe më pas prodhim
Comment[sr]=3Д моделовање, анимација, исцртавање и постпродукција
Comment[sv]=3d-modellering, animering, rendering och efterbehandling
Comment[ta]=முப்பரிமாண ஒப்புருவாக்கம், அசைவூட்டம், காட்சியாக்கம் மற்றும் உருவாக்கத்துக்கு பிந்தைய செயல்பாடுகள்
Comment[tg]=Моделсозии 3D, аниматсия, пешниҳод ва истеҳсоли баъдӣ
Comment[tr]=3B modelleme, animasyon, işleme ve son üretim
Comment[uk]=Програма просторового моделювання, анімації, обробки відео та доведення відеопродуктів
Comment[vi]=Tạo hình mẫu 3D, hoạt họa, dựng hình và các công việc hậu kỳ
Comment[wa]=Modelaedje 3D, animåcion, rindou eyet après-produccion
Comment[zh_HK]=3D 模型、動畫、算圖和後製
Comment[zh_CN]=3D 建模、动画、渲染和后期制作
Comment[zh_TW]=3D 模型、動畫、算圖和後製
Keywords=3d;cg;modeling;animation;painting;sculpting;texturing;video editing;video tracking;rendering;render engine;cycles;game engine;python;
Exec=/opt/Bforartists/bforartists %f
Icon=bforartists
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics;
MimeType=application/x-blender;
EOF

mv %buildroot/opt/Bforartists-%{version}-Linux %buildroot/opt/Bforartists

mv %buildroot/opt/Bforartists/*.svg %buildroot/%{_iconsdir}


%clean
rm -rf %{buildroot}

%post
%_update_desktop_database_bin
ldconfig

%postun
%_update_desktop_database_bin
ldconfig


%files
%defattr(-,root,root)
/opt/Bforartists
%{_iconsdir}/*
%{_desktopdir}/*


%changelog
* Wed Apr 17 2024 onkelho <oh.quait at gmail.com> - 4.1.0-1quait2024
- new version release

* Sun Jan 14 2024 onkelho <oh.quait at gmail.com> - 4.0.2-1quait2024
- new version release

* Sat Oct 07 2023 onkelho <oh.quait at gmail.com> - 3.6.2-1quait2023
- new version release
- This version has and additional 21 tasks and bug fixes from us everything
- from Blender 3.6.2 and 4.0.0 development.

